
Redmine - Defect #18349

URL not rendered as a link when followed by a line break and another URL

2014-11-14 10:10 - Oleg Fedotkin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.6.1   

Resolution: Fixed Affected version: 2.3.1

Description

Hello.

I've encountered a problem, related to the redmine formatting. The thing is, that when I try to add issue description (or comment) with

the following content:

Any text https://name.domain.com/issues/91243

http://name.domain.com/00boUr-6lA1oXahp/

The first link doesn't seem to appear like a link. It's just a plain text. As far as I can get it, this problem caused by a bug in the

WikiFormatting auto_link! method. Speaking more precisely, I think that regex is not completely correct. So, is it really a bug or am I

doing something wrong?

My version of redmine is 2.3.1.stable, Postgres 9.3.5, ruby 1.9.3 stable and rails 2.2.2.

Related issues:

Has duplicate Redmine - Defect #13726: Link not clickable Closed

Associated revisions

Revision 13592 - 2014-11-14 21:18 - Jean-Philippe Lang

Fixed that URLs separated by line break are not rendered as links (#18349).

Revision 13594 - 2014-11-14 21:49 - Jean-Philippe Lang

Removed debug messages (#18349).

Revision 13599 - 2014-11-14 22:58 - Jean-Philippe Lang

Removed debug messages (#18349).

Revision 13632 - 2014-11-22 11:41 - Jean-Philippe Lang

Merged r13592, r13594, r13599 (#18349).

History

#1 - 2014-11-14 10:29 - Toshi MARUYAMA

- Category changed from Issues to Text formatting

#2 - 2014-11-14 21:19 - Jean-Philippe Lang

- Subject changed from Links formatting is broken to URL not rendered as a link when followed by a line break and another URL

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.1

- Resolution set to Fixed

Fixed in r13592, thanks for poiting this out.

#3 - 2014-11-17 09:03 - Oleg Fedotkin
https://name.domain.com/issues/91243
http://name.domain.com/00boUr-6lA1oXahp/
https://www.redmine.org/projects/redmine/repository/svn/revisions/13592


Thank you!

#4 - 2014-11-22 11:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#5 - 2015-04-29 06:43 - Go MAEDA

- Has duplicate Defect #13726: Link not clickable added
